Bug Hunting Session
Bug 57550 - [EDITING] Loading styles to particular document causes crash
Summary: [EDITING] Loading styles to particular document causes crash
Status: RESOLVED DUPLICATE of bug 58376
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-11-26 10:55 UTC by Cor Nouws
Modified: 2013-11-16 18:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
writer document - crash when loading styles to this document (670.94 KB, application/vnd.oasis.opendocument.text)
2012-11-26 11:08 UTC, Cor Nouws
Details
Bug 57550 - WinDbg session with FAILED_SOURCE_CODE (12.09 KB, text/plain)
2012-11-30 08:36 UTC, bfoman (inactive)
Details
Bug 57550 - WinDbg session with FAILED_SOURCE_CODE - TOC (11.65 KB, text/plain)
2012-11-30 08:51 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2012-11-26 10:55:11 UTC
With one particular file, load styles:

- F11
- Control Load Styles
- Select Text Styles, Overwrite, choose other document ..
- OK
  > Crash

works fine in 3.6.3
will attach sample file and try some older versions from master
Comment 1 Cor Nouws 2012-11-26 11:08:15 UTC
Created attachment 70582 [details]
writer document - crash when loading styles to this document
Comment 2 Cor Nouws 2012-11-26 11:22:48 UTC
the only other master build for 4.0 that I have is Build ID: 695c19
and that crashes too.
Comment 3 Cor Nouws 2012-11-26 12:59:40 UTC
(also adding a TOC makes this document crash in 4.0alpha1)
Comment 4 bfoman (inactive) 2012-11-30 08:36:16 UTC
Created attachment 70816 [details]
Bug 57550 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 4.0.0.0.alpha1+ 
Build ID: own W7 debug build (dec8fe97d9f48d59b6bb0f98faded0f6aa8397df) 
Windows 7 Professional SP1 64 bit

Attached full WinDbg session with FAILED_SOURCE_CODE.
Comment 5 bfoman (inactive) 2012-11-30 08:51:19 UTC
Created attachment 70817 [details]
Bug 57550 - WinDbg session with FAILED_SOURCE_CODE - TOC

(In reply to comment #3)
> (also adding a TOC makes this document crash in 4.0alpha1)

Attached full WinDbg session with FAILED_SOURCE_CODE.

See also bug 57515.
Comment 6 Julien Nabet 2012-11-30 22:37:33 UTC
Cor: Sorry, I don't understand how to reproduce this.
Here what I did:
- opened the file
- click F11 -> styles window appear
- Select in the bottom box (so I suppose "Control Load Styles") "Text Styles"

Then I don't understand "Overwrite", "choose other document"
So I selected some text at random and overwrited it but nothing special.
Then I opened a new Writer file and still nothing.

Obviously I missed something :-(
Comment 7 Michael Stahl (CIB) 2012-12-21 19:46:04 UTC
was fixed by 1c717cbc41174c2e86f649f1045c1d023e9d19a7

*** This bug has been marked as a duplicate of bug 58376 ***
Comment 8 Michael Stahl (CIB) 2012-12-21 19:49:33 UTC
oh i didn't see the insert TOC crash... but it turns out
that appears to be fixed by the same commit :)